Subject: Re: [PATCH v2 2/2] powerpc/83xx: Move gianfar mdio nodes under the ethernet nodes

From: Anton Vorontsov <[email-masked]>
Date: Wed, 18 Mar 2009 18:28:00 +0300

On Wed, Mar 18, 2009 at 08:21:18AM -0500, Kumar Gala wrote:
[...]
>> arch/powerpc/platforms/83xx/mpc834x_mds.c |    1 +
>> arch/powerpc/platforms/83xx/mpc837x_mds.c |    1 +
>> arch/powerpc/platforms/83xx/mpc837x_rdb.c |    1 +
>> 14 files changed, 398 insertions(+), 319 deletions(-)
>
> If we do this we should also fixup all the 85xx & 86xx .dts

OK.

It would be great to have #include <gianfar_enet.dts> facility in .dts
files. ;-) I heard some rumors about this, what was the consequence?..

[...]
>> +			ranges;
>
> Can this be proper?
> 			ranges = <0x0 0x24520 0x20>;

Yes, will change.

I was actually asking that q in RFC, i.e. whether we want
proper ranges or these stubs (I took stubs approach since
it's already in mpc8313_rdb device tree).

Thanks,

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2